Get rid of windowname , how?

grafik

here is written PyRevitLoader thats pretty unnecessary… how can i get rit of this here is the code:
grafik

import clr

clr.AddReference('RevitAPIUI')
from Autodesk.Revit.UI import TaskDialog

#variables
elements1 = IN[0]
elements2 = IN[1]
elements3 = IN[2]
# Code unterhalb dieser Linie platzieren
concat = '\n'.join([elements1 + "  Türen",elements2 + "  Fenster",elements3 + "  Räume"])
TaskDialog.Show("Hauptkategorien Anzahl", concat)

# Weisen Sie Ihre Ausgabe der OUT-Variablen zu.
OUT = concat

is the solution in the taskdialog?

KR

Andreas

Try making a task dialog object before showing it, and settings its Title property.

2 Likes

@GavinCrump ,

it changed to this … :wink:

grafik

import clr

clr.AddReference('RevitAPIUI')
from Autodesk.Revit.UI import TaskDialog

a = TaskDialog("Hauptkategorien Anzahl")

#variables
elements1 = IN[0]
elements2 = IN[1]
elements3 = IN[2]
# Code unterhalb dieser Linie platzieren
concat = '\n'.join([elements1 + "  Türen",elements2 + "  Fenster",elements3 + "  Räume"])
TaskDialog.Show("Hauptkategorien Anzahl",concat)

# Weisen Sie Ihre Ausgabe der OUT-Variablen zu.
OUT = concat

Hi,
Set the TitleAutoPrefix property to False

import clr

clr.AddReference('RevitAPIUI')
from Autodesk.Revit.UI import TaskDialog

concat = '\n'.join(["A","B","C"])
dialog = TaskDialog("MyAddin - Test")
dialog.MainInstruction = concat
dialog.TitleAutoPrefix = False
dialog.Show()
3 Likes

Dear sir
Why If I use IronPython2 code running, but use CPython has error.

1 Like

Hi,
see this topic

3 Likes